Get stage to matter mappings in the firm
curl --request GET \
--url https://api.smokeball.com/stages \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/stages"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"stageSet": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"stage": {
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "45b94df1-1657-48b0-ae81-583b42ed52d6",
"versionId": "09d1f360-b810-4a63-acaa-5ed81a551f06",
"name": "Review contract",
"isDeleted": true,
"lastUpdated": 637847425252027400
},
"lastUpdated": 637847425252027400
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Stages
Get stage to matter mappings in the firm
Returns a list of stage to matter mappings in the firm.
GET
/
stages
Get stage to matter mappings in the firm
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns items updated since a specified time (.net ticks representation of the UTC datetime).
Deprecated, use updatedSince Returns items updated since a specified time.
Response
200 - application/json
When request is successful. Returns a paged collection of 'MatterStage' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI